﻿@model IEnumerable<EnergyMission.Domain.Entities.ClientTeamManagerEntity>
@{
    
    EnergyMission.Domain.Entities.ClientTeamManagerEntity ClientTeamManager = new ClientTeamManagerEntity();
    
}
@section Scripts{

<script>

    
    $(document).ready(function () {
        var value = "@ViewBag.msg";
        if (value == "")
        {
            $("#errorssms").hide();
        
        
        }
        else 
        {
            $("#errorssms").show();
        
        
        }
        $('#confname').change(function () {

            var Name1 = $("#confname").val().toUpperCase();

            var value=[];

            $("#PersonId option").each(function (i) {

                value[i] = $(this).text().toUpperCase();
                //alert($(this).text() + " : " + $(this).val());
            });


            //var item = jQuery.inArray(Name1, value);
            //alert(item);

            if (jQuery.inArray(Name1, value) == -1) {
                $("#lblval").text("Name not found");
                return;

            }
            else {

                $("#lblval").text('');
                return;
            }




        });
    });
    ////$(function () {
    //    $("#txtconf").change(function () {
    //        alert("hi");
    //        var ddlFruits = $("#Name");
    //        if (ddlFruits.val() == "") {
    //            //If the "Please Select" option is selected display error.
    //            alert("Please select an option!");
    //            return false;
    //        }
    //        return true;
    //    });
    //});
    //$(document).ready(function () {
    //    $('#NameConfirm').change(function () {



    //        var value = $("#Name").val();
    //        alert(value);


    //    });
    //});
    function cancelall()
    {


        $("#id").val('');
        $("#PersonId").val('');
        $("#empid").val('');

        //$("#EmailAddress").val('');
        //$("#password").val('');
        //$("#PasswordConfirm").val('');
        //$("#CVUrl").text('');


        return false;
    }

    var selectedKeys = "";

    function aspxSEClick(selectedValues) {
  
        var value = selectedValues;

        $.ajax({
                type: "Get",
                url: "/TeamManagers/Edits",
                data: { "Id": value },
                dataType: 'json',
                contentType: "application/json;charset=utf-8",
                success: function (data) {

                    //var ID       = JSON.stringify(data);
                    //alert(ID);
                     $("#Id").val(data.result[0].id);
                     $("#PersonId").val(data.result[0].personid);
                     $("#empid").val(data.result[0].personid);
                     //$("#empid").val(data.result[0].name);
                    //$("#editmodel").show();
                    //$("#SuperAdminEmail").val(data.result.superAdminEmail);
                    //$("#NOE").val(data.result.noe);
                    //$("#btnsave").val("Edit");
                    //$("#sorganization").html(data.result.name);
                    //$("#snoe").html(data.result.noe);
                    //$("#sclinetid").html(data.result.clientAdmin);
                    //$("#ClientAdmin").val(data.result.clientAdmin);
                    //$("#Address").val(data.result.address);
                    //$("#saddress").html(data.result.address);
                    //$("#City").val(data.result.city);
                    //$("#StateId").val(data.result.stateId);
                    //$("#postCodeId").val(data.result.postCodeId);
                    //$("#spostcode").html(data.result.city + "," + $("#StateId").text() + "," + $("#postCodeId").text());
                    //$("#Geo_location_Latitude").val(data.result.geo_location_Latitude);
                    //$("#Geo_location_Longditude").val(data.result.geo_location_Longditude);
                    //$("#sgeolocation").html(data.result.geo_location_Latitude);
                    //$("#sgeolocation1").html(data.result.geo_location_Longditude);

                    return false;
                },


                error: function (textStatus, errorThrown)
                {

                    alert(textStatus);
                }
            });

        //for (var i in selectedValues) {
        //    selectedKeys = selectedKeys + selectedValues[i] + ";";
        //}

        //gvRequestsList.PerformCallback();
    }
</script>
    }
<div class="second-menu">
    <h3>Manager Roles</h3>
    @*<ul class="org-inner-menu">
        <li><a href="#">Contact Site Manager</a></li>
        <li><a href="#">Help</a></li>
        <li><a href="#">Report Error</a></li>
        <li><a href="#">Report Error</a></li>
    </ul>*@
</div>

<div class="examples">
    <div id="testDivNested">
        <div class="gray_bg">
            <div class="ensure2" id="errorssms"><i class="fa fa-check-circle" aria-hidden="true"></i> @ViewBag.msg</div>

        
            <!-- Start White Inner -->
            <div class="white_inner">
           
                <div class="client-admin-login">
                    @Html.Action("GridViewPartial")
                    @*<a href="/persons/Create" id="Addperson" class="add_new">Add New person</a>*@
                    </div>

           
                    @*<a href="Javascript:visible();" id="Addclient" class="add_new">Add New Client</a>

            <*@
                </div>
                    @*<div class="top_name">
                            <ul>
                                <li>Countries</li>
                            </ul>
                        </div>
                        <div id="testDiv1">
                            <div class="inner">
                                <div class="row_client">
                                    <span class="black">Australia</span>
                                    <span class="edit"><a href="#">Edit</a></span>
                                    <span class="delete"><a href="#">Delete</a></span>
                                </div>
                            </div>
                        </div>*@
     
                <!-- End Countries -->

      
            <!-- End White Inner -->
            <!-- Start Bottom Details -->
            <div class="bottom delete2">

                @Html.Partial("_AddEditPartial", ClientTeamManager)


            </div>
        </div>
        <!-- End Bottom Details -->
    </div>
</div>






